Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSSoundStreamBlock

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSMovieObject
              com.flagstone.transform.FSSoundStreamBlock

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSSoundStreamBlock

extends FSMovieObject

FSSoundStreamBlock contains the sound data being streamed to the Flash Player.

Streaming sounds are played in tight synchronisation with one FSSoundStreamBlock object defining the sound for each frame displayed in a movie.

Attributes
type | Identifies the data structure when it is encoded. Read-only.
soundData | The encoded sound data for a single frame in a movie. The format for the sound is defined by an FSSoundStreamHead object. Sounds may be encoded using the uncompressed PCM (big or little endian byte order), compressed ADPCM, compressed MP3 or NELLYMOSER formats.

When a streaming sound is played if the Flash Player cannot render the frames fast enough to maintain synchronisation with the sound being played then frames will be skipped. Normally the player will reduce the frame rate so every frame of a movie is played.

# History

The FSSoundStreamBlock class represents the SoundStreamBlock tag from the Macromedia Flash (SWF) File Format Specification. It was introduced in Flash 1 with support for Uncompressed PCM encoded sounds (both Little-Endian and Big-Endian formats) and the compressed ADPCM format. Support for MP3 was added in Flash 3. The Nellymoser Asao format was added in Flash 6.

Field Summary

Fields inherited from class com.flagstone.transform.FSMovieObject
`ButtonColorTransform, ButtonSound, DefineBitsPtr, DefineButton, DefineButton2, DefineFont, DefineFont2, DefineImage, DefineImage2, DefineJPEGImage, DefineJPEGImage2, DefineJPEGImage3, DefineMorphShape, DefineMovieClip, DefineShape, DefineShape2, DefineShape3, DefineSound, DefineText, DefineText2, DefineTextField, DefineVideo, DoAction, EnableDebugger, EnableDebugger2, Export, extendLength, FontInfo, FontInfo2, FrameLabel, Free, Import, Initialize, JPEGTables, length, LimitScript, PathsArePostscript, PlaceObject, PlaceObject2, Protect, QuicktimeMovie, RemoveObject, RemoveObject2, SerialNumber, SetBackgroundColor, ShowFrame, SoundStreamBlock, SoundStreamHead, SoundStreamHead2, StartSound, TabOrder, type, VideoFrame`

Constructor Summary
`FSSoundStreamBlock(byte[] bytes)` Constructs an FSSoundStreamBlock specifying the sound data in the format defined by a preceding FSSoundStreamHead or FSSoundStreamHead2 object.
`FSSoundStreamBlock(FSCoder coder)` Construct an FSSoundStreamBlock object, initialising it with values decoded from an encoded object.
`FSSoundStreamBlock(FSSoundStreamBlock obj)` Constructs an FSSoundStreamBlock object by copying values from an existing object.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`java.lang.Object` | `clone()` Creates a deep copy of the entire object.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`byte[]` | `getSoundData()` Gets the sound data in the format defined by a preceding FSSoundStreamHead or FSSoundStreamHead2 object.
`int` | `length(FSCoder coder)`
`void` | `setSoundData(byte[] bytes)` Sets the sound data.

Methods inherited from class com.flagstone.transform.FSMovieObject
`getType`

Methods inherited from class com.flagstone.transform.FSTransformObject
`name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSSoundStreamBlock

    public FSSoundStreamBlock(FSCoder coder)

  Construct an FSSoundStreamBlock object, initialising it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSSoundStreamBlock

    public FSSoundStreamBlock(byte[] bytes)

  Constructs an FSSoundStreamBlock specifying the sound data in the format defined by a preceding FSSoundStreamHead or FSSoundStreamHead2 object.

  Parameters:
    `bytes` - an array of bytes containing the sound data.

### FSSoundStreamBlock

    public FSSoundStreamBlock(FSSoundStreamBlock obj)

  Constructs an FSSoundStreamBlock object by copying values from an existing object.

  Parameters:
    `obj` - an FSSoundStreamBlock object.

Method Detail

### getSoundData

    public byte[] getSoundData()

  Gets the sound data in the format defined by a preceding FSSoundStreamHead or FSSoundStreamHead2 object.

  Returns:
    the sound data.

### setSoundData

    public void setSoundData(byte[] bytes)

  Sets the sound data.

  Parameters:
    `bytes` - an array of bytes containing the sound data.

### clone

    public java.lang.Object clone()

  Description copied from class: `FSTransformObject`
  Creates a deep copy of the entire object.

  Overrides:
    `clone` in class `FSTransformObject`
  Returns:
    a copy of the object.

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSMovieObject`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSMovieObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Overrides:
    `appendDescription` in class `FSMovieObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSMovieObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSMovieObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSMovieObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD